## com.thingmagic
Enum Gen2.Untraceable.TID

    java.lang.Object
      java.lang.Enum<Gen2.Untraceable.TID>
          com.thingmagic.Gen2.Untraceable.TID

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.Untraceable.TID>

Enclosing class:
  Gen2.Untraceable

    public static enum Gen2.Untraceable.TID

extends java.lang.Enum<Gen2.Untraceable.TID>

Gen2v2 untraceably hides part of TID memory or not

Enum Constant Summary
`HIDE_ALL` Tag untraceably hides all of TID memory.
`HIDE_NONE` Tag exposes TID memory.
`HIDE_SOME` Tag’s allocation class identifier is E0h then the Tag untraceably hides TID memory above 10h,inclusive; if the Tag’s allocation class identifier is E2h then the Tag untraceably hides TID memory above 20h, inclusive.
`RFU` RFU

Method Summary
`static Gen2.Untraceable.TID` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.Untraceable.TID[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIDE_NONE

    public static final Gen2.Untraceable.TID HIDE_NONE

  Tag exposes TID memory.

### HIDE_SOME

    public static final Gen2.Untraceable.TID HIDE_SOME

  Tag’s allocation class identifier is E0h then the Tag untraceably hides TID memory above 10h,inclusive; if the Tag’s allocation class identifier is E2h then the Tag untraceably hides TID memory above 20h, inclusive.

### HIDE_ALL

    public static final Gen2.Untraceable.TID HIDE_ALL

  Tag untraceably hides all of TID memory.

### RFU

    public static final Gen2.Untraceable.TID RFU

  RFU

Method Detail

### values

    public static Gen2.Untraceable.TID[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.Untraceable.TID c : Gen2.Untraceable.TID.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.Untraceable.TID valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null